/*
 * このソースコードは blanco Frameworkによって自動生成されています。
 * リソースバンドル定義書から作成されたリソースバンドルクラス。
 */
package blanco.text.converter.message;

import java.util.Locale;
import java.util.MissingResourceException;
import java.util.ResourceBundle;

/**
 * リソースバンドル定義[BlancoTextConverterMessage/メッセージ定義[BlancoTextConverter]が内部的に利用するリソースバンドルクラス。]のリソースバンドルクラス。
 *
 * このクラスはリソースバンドル定義書から自動生成されたリソースバンドルクラスです。<BR>
 */
class BlancoTextConverterMessageResourceBundle {
    /**
     * リソースバンドルオブジェクト。
     *
     * 内部的に実際に入力を行うリソースバンドルを記憶します。
     */
    private ResourceBundle fResourceBundle;

    /**
     * BlancoTextConverterMessageResourceBundleクラスのコンストラクタ。
     *
     * 基底名[BlancoTextConverterMessage]、デフォルトのロケール、呼び出し側のクラスローダを使用して、リソースバンドルを取得します。
     */
    public BlancoTextConverterMessageResourceBundle() {
        try {
            fResourceBundle = ResourceBundle.getBundle("BlancoTextConverterMessage");
        } catch (MissingResourceException ex) {
        }
    }

    /**
     * BlancoTextConverterMessageResourceBundleクラスのコンストラクタ。
     *
     * 基底名[BlancoTextConverterMessage]、指定されたロケール、呼び出し側のクラスローダを使用して、リソースバンドルを取得します。
     *
     * @param locale ロケールの指定
     */
    public BlancoTextConverterMessageResourceBundle(final Locale locale) {
        try {
            fResourceBundle = ResourceBundle.getBundle("BlancoTextConverterMessage", locale);
        } catch (MissingResourceException ex) {
        }
    }

    /**
     * BlancoTextConverterMessageResourceBundleクラスのコンストラクタ。
     *
     * 基底名[BlancoTextConverterMessage]、指定されたロケール、指定されたクラスローダを使用して、リソースバンドルを取得します。
     *
     * @param locale ロケールの指定
     * @param loader クラスローダの指定
     */
    public BlancoTextConverterMessageResourceBundle(final Locale locale, final ClassLoader loader) {
        try {
            fResourceBundle = ResourceBundle.getBundle("BlancoTextConverterMessage", locale, loader);
        } catch (MissingResourceException ex) {
        }
    }

    /**
     * 内部的に保持しているリソースバンドルオブジェクトを取得します。
     *
     * @return 内部的に保持しているリソースバンドルオブジェクト。
     */
    public ResourceBundle getResourceBundle() {
        return fResourceBundle;
    }
}
